package com.uavps.system.mapper;

import java.util.List;
import com.uavps.system.domain.UavpsTask;

/**
 * 任务数据Mapper接口
 * 
 * @author ruoyi
 * @date 2025-04-17
 */
public interface UavpsTaskMapper 
{
    /**
     * 查询任务数据
     * 
     * @param bizId 任务数据主键
     * @return 任务数据
     */
    public UavpsTask selectUavpsTaskByBizId(Long bizId);

    /**
     * 查询任务数据列表
     * 
     * @param uavpsTask 任务数据
     * @return 任务数据集合
     */
    public List<UavpsTask> selectUavpsTaskList(UavpsTask uavpsTask);

    /**
     * 新增任务数据
     * 
     * @param uavpsTask 任务数据
     * @return 结果
     */
    public int insertUavpsTask(UavpsTask uavpsTask);

    /**
     * 修改任务数据
     * 
     * @param uavpsTask 任务数据
     * @return 结果
     */
    public int updateUavpsTask(UavpsTask uavpsTask);

    /**
     * 删除任务数据
     * 
     * @param bizId 任务数据主键
     * @return 结果
     */
    public int deleteUavpsTaskByBizId(Long bizId);

    /**
     * 批量删除任务数据
     * 
     * @param bizIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteUavpsTaskByBizIds(Long[] bizIds);
}
